Skip to main content
GET
/
v1
/
alert_notes
List
curl --request GET \
  --url https://api.incident.io/v1/alert_notes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.incident.io/v1/alert_notes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.incident.io/v1/alert_notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "alert_notes": [
    {
      "alert_group_id": "01HB9Z8WANK6P870EA6S7TK1DS",
      "alert_id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "content": "Customer reports **checkout 500s** starting ~14:32 UTC. Investigating `payments-api`.\n\n- Error rate: ~12% on `/checkout`\n- Region: `eu-west-1`\n- See [dashboard](https://grafana.example.com/d/abc)\n",
      "created_at": "2026-05-28T15:30:00Z",
      "creator": {
        "api_key": {
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "My test API key"
        },
        "user": {
          "email": "lisa@incident.io",
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "Lisa Karlin Curtis",
          "role": "viewer",
          "slack_user_id": "U02AYNF2XJM"
        }
      },
      "id": "01J1X9J85C7Y12G8P8W8K55Q5Y",
      "images": [
        {
          "id": "01G0J1EXE7AXZ2C93K61WBPYEH",
          "url": "https://storage.googleapis.com/incident-io/images/..."
        }
      ],
      "last_edited_at": "2026-05-28T15:35:00Z",
      "updated_at": "2026-05-28T15:35:00Z"
    }
  ],
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  }
}
🔑 Requires the alerts.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

alert_id
string

ID of the alert to list notes for. Provide exactly one of alert_id or alert_group_id.

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

alert_group_id
string

ID of the alert group to list notes for. Provide exactly one of alert_id or alert_group_id.

Example:

"01HB9Z8WANK6P870EA6S7TK1DS"

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

alert_notes
object[]
required
Example:
[
{
"alert_group_id": "01HB9Z8WANK6P870EA6S7TK1DS",
"alert_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"content": "Customer reports **checkout 500s** starting ~14:32 UTC. Investigating `payments-api`.\n\n- Error rate: ~12% on `/checkout`\n- Region: `eu-west-1`\n- See [dashboard](https://grafana.example.com/d/abc)\n",
"created_at": "2026-05-28T15:30:00Z",
"creator": {
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "viewer",
"slack_user_id": "U02AYNF2XJM"
}
},
"id": "01J1X9J85C7Y12G8P8W8K55Q5Y",
"images": [
{
"id": "01G0J1EXE7AXZ2C93K61WBPYEH",
"url": "https://storage.googleapis.com/incident-io/images/..."
}
],
"last_edited_at": "2026-05-28T15:35:00Z",
"updated_at": "2026-05-28T15:35:00Z"
}
]
pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}